org.keycloak.services.resources.admin.permissions

## Interface UserPermissionEvaluator

-     public interface UserPermissionEvaluator

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canImpersonate()`
    `boolean` | `canImpersonate(UserModel user)`
    `boolean` | `canManage()`
    `boolean` | `canManage(UserModel user)`
    `boolean` | `canManageGroupMembership(UserModel user)`
    `boolean` | `canMapRoles(UserModel user)`
    `boolean` | `canQuery()`
    `boolean` | `canView()`
    `boolean` | `canView(UserModel user)`
    `Map<String,Boolean>` | `getAccess(UserModel user)`
    `void` | `grantIfNoPermission(boolean grantIfNoPermission)`
    `boolean` | `isImpersonatable(UserModel user)`
    `void` | `requireImpersonate(UserModel user)`
    `void` | `requireManage()`
    `void` | `requireManage(UserModel user)`
    `void` | `requireManageGroupMembership(UserModel user)`
    `void` | `requireMapRoles(UserModel user)`
    `void` | `requireQuery()`
    `void` | `requireView()`
    `void` | `requireView(UserModel user)`

- - ### Method Detail

    - #### requireManage

          void requireManage()

    - #### requireManage

          void requireManage(UserModel user)

    - #### canManage

          boolean canManage()

    - #### canManage

          boolean canManage(UserModel user)

    - #### requireQuery

          void requireQuery()

    - #### canQuery

          boolean canQuery()

    - #### requireView

          void requireView()

    - #### requireView

          void requireView(UserModel user)

    - #### canView

          boolean canView()

    - #### canView

          boolean canView(UserModel user)

    - #### requireImpersonate

          void requireImpersonate(UserModel user)

    - #### canImpersonate

          boolean canImpersonate()

    - #### canImpersonate

          boolean canImpersonate(UserModel user)

    - #### isImpersonatable

          boolean isImpersonatable(UserModel user)

    - #### getAccess

          Map<String,Boolean> getAccess(UserModel user)

    - #### requireMapRoles

          void requireMapRoles(UserModel user)

    - #### canMapRoles

          boolean canMapRoles(UserModel user)

    - #### requireManageGroupMembership

          void requireManageGroupMembership(UserModel user)

    - #### canManageGroupMembership

          boolean canManageGroupMembership(UserModel user)

    - #### grantIfNoPermission

          void grantIfNoPermission(boolean grantIfNoPermission)

Copyright © 2020 JBoss by Red Hat. All rights reserved.